package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.TemplateDto;
import com.qmth.distributed.print.business.bean.params.TemplateParam;
import com.qmth.distributed.print.business.entity.BasicTemplate;

/**
 * <p>
 * 通用模板 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicTemplateService extends IService<BasicTemplate> {

    IPage<TemplateDto> list(Boolean enable, String type, String name, Long startTime, Long endTime, Integer pageNumber, Integer pageSize);

    boolean saveTemplate(BasicTemplate template) throws Exception;

    boolean enable(BasicTemplate template);

    BasicTemplate getOne(Long id);

    Object readContent(Long attachmentId);
}
